Page MenuHomePhabricator

Mobile styles are not loaded on the foundation wiki home page
Closed, ResolvedPublic

Description

Visit https://m.wikimediafoundation.org/wiki/Home and you'll see that the page layout is messed up. Other pages look fine.

Event Timeline

bmansurov raised the priority of this task from to Needs Triage.
bmansurov updated the task description. (Show Details)
bmansurov added a project: Readers-Web-Backlog.
bmansurov added a subscriber: bmansurov.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 5:10 PM
bmansurov set Security to None.

can whomever fixes this follow up by letting me know what caused it? thanks!

Jdlrobson added a subscriber: Jdlrobson.EditedOct 29 2015, 1:56 AM

I see what's happening. So some recent changes allowed 3rd party skin developers to make their own mobile skins.
What you are actually seeing is the Vector skin minus scripts and styles (as none of the assets have been checked on mobile). (e.g. the Vector skin in target=mobile mode)

This should probably honour that the home page is a blacklisted page and apparently is always supposed to show in the Vector skin.

This would be a great opportunity to optimise that page for mobile and lead by example ;-)

Change 249872 had a related patch set uploaded (by Jdlrobson):
Don't set target=mobile on blacklisted pages

https://gerrit.wikimedia.org/r/249872

Change 249872 merged by jenkins-bot:
Don't set target=mobile on blacklisted pages

https://gerrit.wikimedia.org/r/249872

Jdlrobson closed this task as Resolved.Nov 2 2015, 8:10 PM

Will get fixed in next deploy.